Attribute VB_Name = "umFishS"
' ------------------------------------------------------------------------------
'
' umFishS(umFishS.bas)                                    Ulrich Mller 12.08.99
'                                                         Procida 400NT    VB6.0
' Deklarationen und Konstanten zu umFishRT
'
' ------------------------------------------------------------------------------

Option Explicit

Public Declare Function OpenInterface Lib "umFish.dll" _
  (ft As ftDCB, ByVal ComName$) As Long
Public Declare Function CloseInterface Lib "umFish.dll" _
  (ft As ftDCB) As Long
Public Declare Function GetInput Lib "umFish.dll" _
  (ft As ftDCB, ByVal InputNr&) As Boolean
Public Declare Function GetInputs Lib "umFish.dll" (ft As ftDCB) As Long
Public Declare Function ClearMotors Lib "umFish.dll" (ft As ftDCB) As Long
Public Declare Function SetMotors Lib "umFish.dll" _
  (ft As ftDCB, ByVal MotorStatus&) As Long
Public Declare Function SetMotor Lib "umFish.dll" _
  (ft As ftDCB, ByVal MotorNr&, ByVal Richtung&) As Long
Public Declare Function SetLamp Lib "umFish.dll" _
  (ft As ftDCB, ByVal LampNr&, ByVal OnOff&) As Long
Public Declare Function GetAnalog Lib "umFish.dll" _
  (ft As ftDCB, ByVal AnalogNr&) As Long

Public Declare Function StartDriver Lib "umFish.dll" () As Long
Public Declare Function StopDriver Lib "umFish.dll" () As Long

Public Declare Sub Sleep Lib "kernel32" (ByVal dwMsec&)
Public Declare Function GetTickCount Lib "kernel32" () As Long

Public Type ftDCB
  comI As Long
  PortID As Long
  LPTDelay As Long
  LPTAnalog As Long
  InputStatus As Long
  MotorStatus As Long
End Type

Public Const ftiFehler = &H1FFFF
Public Const ftiAus = 0
Public Const ftiEin = 1
Public Const ftiLinks = 1
Public Const ftiRechts = 2

Public ft As ftDCB

Public Sub AllesAus()
  ClearMotors ft
  DoEvents
End Sub

Public Function AusgangZustand()
  AusgangZustand = ft.MotorStatus
  DoEvents
End Function


Public Sub Ausschalten(ByVal Nr&)
  SetLamp ft, Nr, ftiAus
  DoEvents
End Sub

Public Sub Einschalten(ByVal Nr&)
  SetLamp ft, Nr, ftiEin
  DoEvents
End Sub

Public Sub ftAus()
  CloseInterface ft
  StopDriver
End Sub

Public Sub ftEin()
  StartDriver
  If OpenInterface(ft, "LPT") = ftiFehler Then MsgBox "InterfaceProblem", vbOKOnly
End Sub


Public Sub Motor(ByVal Nr&, ByVal Richtung&)
  SetMotor ft, Nr, Richtung
  DoEvents
End Sub

Public Sub Pause(ByVal zSek&)
Dim sZeit&
  sZeit = GetTickCount()
  Do
    DoEvents
    GetInputs ft
  Loop Until (GetTickCount() - sZeit) > zSek * 100
End Sub


Public Function Poti(ByVal Nr%)
  Poti = GetAnalog(ft, Nr)
  DoEvents
End Function

Public Function SchalterAn(ByVal Nr&) As Boolean
  SchalterAn = GetInput(ft, Nr)
  DoEvents
End Function

Public Function Sensor(ByVal Nr%)
  Sensor = GetAnalog(ft, Nr)
  DoEvents
End Function

